<?php


namespace App\Modules\User\Models;


use Illuminate\Database\Eloquent\Model;

class QappChannelAccount extends Model
{
    protected $table = 'qapp_channel_accounts';
    protected $fillable = [
        'account',
        'password',
        'channel_user_id',
        'distribution_channel_id',
        'remark',
        'is_enabled',
        'is_deleted',
        'created_at',
        'updated_at',
    ];

    public static function getByAccount($account)
    {
        if (empty($account)) {
            return [];
        }

        return self::where('account', $account)->first();
    }

}